• Register
0 votes
279 views

Problem :

I am following the Building Unity game for the Android device for a testing purpose I have followed all the instruction but I am facing below error in the end.

My Error:

UnityEditor.BuildPlayerWindow+BuildMethodException: Build failed with errors. at UnityEditor.BuildPlayerWindow+DefaultBuildMethods.BuildPlayer (BuildPlayerOptions options) [0x001b9] in C:\buildslave\unity\build\Editor\Mono\BuildPlayerWindowBuildMethods.cs:162 at UnityEditor.BuildPlayerWindow.CallBuildMethods (Boolean askForBuildLocation, BuildOptions defaultBuildOptions) [0x00050] in C:\buildslave\unity\build\Editor\Mono\BuildPlayerWindowBuildMethods.cs:83 UnityEditor.HostView:OnGUI()

How to fix above error?

7 5 2
3,870 points

1 Answer

0 votes

Solution :

As you must have noticed after you click the build settings you are prompt to the download it in the asset, which unity wouldn't allow to build the exe files inside the asset. So in that case, try building it in the different folder or on the desktop. It works fine for me!

OR

Got same problem in the past. This is how I solved it:

  1. In "tools" directory of the android SDK open the file named 'android' and in the list choose all the 25-versions and install those packages (Please Note: This file didn't want to be open while my SDK was installed in C-System, so I was supposed to copy the whole SDK in to another one and it finally launched.
  1. Install the JDK-8, not 9! Even if you have the 9-version, download 8 and in a Unity in Edit->Preferences change your jdk path to 8-version. After these steps I finally resolved my problem. Good luck, hope it will help someone :)
9 7 4
38,600 points

Related questions

0 votes
1 answer 1.7K views
1.7K views
Problem : How can i fix the following error build completed with a result of 'failed' unityengine.guiutility:processevent(int32, intptr)
asked Nov 15, 2019 peterlaw 6.9k points
0 votes
1 answer 32 views
32 views
Problem : I want to implement the Unity's IAP in my game. At first build I encountered an error for not compatible SDK for my Android. Than I updated the SDK from 23 to 24. After updating it when I tried to build it, I faced another error as follows : Code (error): ... inside the "stderr" and "stdout".) My Platform : Android My Unity Version : 5.5.0f3 (Personal) My Unity IAP Version : 1.13.1
asked Dec 6, 2019 alecxe 7.5k points
0 votes
0 answers 15 views
15 views
Problem: Whenever I try to compile my android project in the eclipse 3.4.2 then I am facing below error The project cannot be built until the build path errors are resolved. I found a very temporary solution from online material. The solution is to force the ... the project) Then the error(s) will go away Kindly remove the dummy library Is there any permanent fix for my above android issue?
asked Jun 22 Raphael Pacheco 4.9k points
0 votes
1 answer 580 views
580 views
Problem : I have got the following gradle FAILURE message: ..."Deprecated Gradle features were used in this build, making it incompatible with Gradle 5.0." My Case description as follows: · I had attached to the project codebase the next libs: APP/build. ... test and got the FAILURE message as follows. Deprecated gradle features were used in this build, making it incompatible with gradle 5.0.
asked Nov 21, 2019 peterlaw 6.9k points
1 vote
1 answer 33 views
33 views
Problem: When i am trying run an application in JBOSS 4.0 via eclipse 3.3 i am getting the below exception: Unable to find a javac compiler; com.sun.tools.javac.Main is not on the classpath. Perhaps JAVA_HOME does not point to the JDK I had to set the environment ... coming and how to fix. I am able to execute the same application with tomcat 5.0. Can anybody help me to solve out this problem.
asked Apr 8 LizzyM 6.1k points